geos::operation::geounion::ClassicUnionStrategy Class Reference

Implementation of UnionStrategy that provides overlay using the first generation overlay routines. More...

`#include <CascadedPolygonUnion.h>`

Inheritance diagram for geos::operation::geounion::ClassicUnionStrategy:

## Public Member Functions

std::unique_ptr< geom::Geometry > | Union (const geom::Geometry *, const geom::Geometry *) override
bool | isFloatingPrecision () const override
Public Member Functions inherited from geos::operation::geounion::UnionStrategy
virtual std::unique_ptr< geom::Geometry > | Union (std::unique_ptr< geom::Geometry > &&, std::unique_ptr< geom::Geometry > &&)

## Detailed Description

Implementation of UnionStrategy that provides overlay using the first generation overlay routines.

## Member Function Documentation

## isFloatingPrecision()

bool geos::operation::geounion::ClassicUnionStrategy::isFloatingPrecision | ( |  | ) | const

override virtual

Indicates whether the union function operates using a floating (full) precision model. If this is the case, then the unary union code can make use of the `OverlapUnion` performance optimization, and perhaps other optimizations as well. Otherwise, the union result extent may not be the same as the extent of the inputs, which prevents using some optimizations.

Implements geos::operation::geounion::UnionStrategy.

## Union()

std::unique_ptr< geom::Geometry > geos::operation::geounion::ClassicUnionStrategy::Union | ( | const geom::Geometry * | ,
|  | const geom::Geometry * | )

override virtual

Computes the union of two geometries. This method may throw a `util::TopologyException` if one is encountered

Implements geos::operation::geounion::UnionStrategy.

The documentation for this class was generated from the following file:

- CascadedPolygonUnion.h